Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::pdf::TableOfContentsConfig Class Reference

Inherits Object.

## Public Member Functions
| TableOfContentsConfig ()
| Constructor.
| TableOfContentsConfig (const wchar_t *title, Int32Array bookmark_level_array, bool is_show_serial_number, bool include_toc_pages)
| Constructor, with parameter. More...
bool | operator!= (const TableOfContentsConfig &other) const
| Not equal operator. More...
TableOfContentsConfig & | operator= (const TableOfContentsConfig &other)
| Assign operator. More...
bool | operator== (const TableOfContentsConfig &other) const
| Equal operator. More...
void | Set (const wchar_t *title, Int32Array bookmark_level_array, bool is_show_serial_number, bool include_toc_pages)
| Set value. More...

## Public Attributes
Int32Array | bookmark_level_array
| A bookmark level array which is used to specify bookmarks to be used to generate "Table of Contents". For each element in input array, valid range : from 1 to(depth). depth is returned by function PDFDoc::GetBookmarkLevelDepth. If input array is an empty array, that means all bookmarks are used to generate "Table of Contents".
bool | include_toc_pages
| true means to include catalog page(s) in the calculation of pages number in the table of contents, while false means to exclude catalog page(s) from the calculation of pages number in the table of contents.
bool | is_show_serial_number
| true means to show the serial number in the table of contents, while false means not to show the serial number.
WString | title
| Title for the table of contents. If this is an empty string, the default value "Table of Contents" will be used.

## Detailed Description

This class represents the table of contents configuration.

## Constructor & Destructor Documentation

## ◆ TableOfContentsConfig()

foxit::pdf::TableOfContentsConfig::TableOfContentsConfig | ( | const wchar_t * | title,
|  | Int32Array | bookmark_level_array,
|  | bool | is_show_serial_number,
|  | bool | include_toc_pages
| ) |  |
| inline

Constructor, with parameter.

Parameters

  [in] | title | Title for the table of contents.
  [in] | bookmark_level_array | A bookmark level array which is used to specify bookmarks to be used to generate "Table of Contents".
  [in] | is_show_serial_number | true means to show the serial number in the table of contents, while false means not to show the serial number.
  [in] | include_toc_pages | true means to include catalog page(s) in the calculation of pages number in the table of contents, while false means to exclude catalog page(s) from the calculation of pages number in the table of contents.

## Member Function Documentation

## ◆ operator!=()

bool foxit::pdf::TableOfContentsConfig::operator!= | ( | const TableOfContentsConfig & | other | ) | const
| inline

Not equal operator.

Parameters

  [in] | other | Another table of contents configuration object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

TableOfContentsConfig& foxit::pdf::TableOfContentsConfig::operator= | ( | const TableOfContentsConfig & | other | ) |
| inline

Assign operator.

Parameters

  [in] | other | Another table of contents configuration object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::TableOfContentsConfig::operator== | ( | const TableOfContentsConfig & | other | ) | const
| inline

Equal operator.

Parameters

  [in] | other | Another table of contents configuration object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Set()

void foxit::pdf::TableOfContentsConfig::Set | ( | const wchar_t * | title,
|  | Int32Array | bookmark_level_array,
|  | bool | is_show_serial_number,
|  | bool | include_toc_pages
| ) |  |
| inline

Set value.

Parameters

  [in] | title | Title for the table of contents.
  [in] | bookmark_level_array | A bookmark level array which is used to specify bookmarks to be used to generate "Table of Contents".
  [in] | is_show_serial_number | true means to show the serial number in the table of contents, while false means not to show the serial number.
  [in] | include_toc_pages | true means to include catalog page(s) in the calculation of pages number in the table of contents, while false means to exclude catalog page(s) from the calculation of pages number in the table of contents.

@ return None.